cutlass::cuda_exception Class Reference

C++ exception wrapper for CUDA `cudaError_t`.

`#include <exceptions.h>`

Inheritance diagram for cutlass::cuda_exception:
[legend]
Collaboration diagram for cutlass::cuda_exception:
[legend]

## Public Member Functions

| cuda_exception (const char *msg="", cudaError_t err=cudaErrorUnknown)
| Constructor. More...
cudaError_t | cudaError () const
| Returns the underlying CUDA `cudaError_t`. More...

## Protected Attributes

const char * | msg
| Explanatory string. More...
cudaError_t | err
| Underlying CUDA `cudaError_t`. More...

## Constructor & Destructor Documentation

cutlass::cuda_exception::cuda_exception | ( | const char * | msg = `""`,
|  | cudaError_t | err = `cudaErrorUnknown`
| ) |  |

inline

## Member Function Documentation

cudaError_t cutlass::cuda_exception::cudaError | ( |  | ) | const

inline

## Member Data Documentation

cudaError_t cutlass::cuda_exception::err

protected

const char* cutlass::cuda_exception::msg

protected

The documentation for this class was generated from the following file:

- exceptions.h